<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=800; user-scalable=no" />
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <title>PhoneGap - CanvasSample</title>
	<script type="text/javascript" src="js.lib/phonegap-1.2.0.js"></script>
	<script type="text/javascript" src="js.lib/jquery-1.7.min.js"></script>
	<script type="text/javascript">
<!--

window.onload = function() {
	document.addEventListener('deviceready', onDeviceReady, false);
};

var imageCounter = 0; // 写真の撮影枚数を記録するカウンタ
var canvas;	//キャンバス
var ctx;	//キャンバスコンテキスト
var strokeStyle;

var RelayPoint = {
	x : null,
	y: null
}

function setStrokeStyle(param) {
	strokeStyle = param;
}

function ClearBoard() {
	ctx.clearRect(0,0,canvas.width,canvas.height);
}

// ネイティブデバイスとの連携が出来たタイミング
function onDeviceReady() {
	$(document).ready(function(){
		strokeStyle = 'rgb(0,0,0)';
		//キャンバスの初期処理
		canvas = document.getElementById('mainCvs');
		if ( ! canvas || ! canvas.getContext ) return false;
		//2Dコンテキスト
		ctx = canvas.getContext('2d');
		//イベント
		canvas.addEventListener("touchstart", function (event) {

		console.log( "touchstart => " + event.touches[0].pageX + " / " + event.touches[0].pageY );
		}, false);

		canvas.addEventListener("touchmove", function (event) {
			event.preventDefault();
			console.log( "move => " + event.touches[0].pageX + " / " + event.touches[0].pageY );
		}, false);

		canvas.addEventListener("touchend", function(event){
		}, false);
	});
}

// -->
		</script>
	</head>
	<body>
		<p id="alert">
			<select id="lineBold">
				<option>1</option>
				<option>5</option>
				<option>10</option>
			</select> |
			<button onclick="setStrokeStyle('rgb(0,0,0)')">黒</button> |
			<button onclick="setStrokeStyle('rgb(255,0,0)')">赤</button> |
			<button onclick="setStrokeStyle('rgb(0,0,255)')">青</button> |
			<button onclick="ClearBoard()">クリア</button>

		</p>
		<canvas id="mainCvs" width="800" height="400" style="background-color: #DDD;"></canvas>
	</body>
</html>
